      program test_test
      implicit none
      include 'mpif.h'
c
      integer sid,rid(4),ierr,iam,rbuf(1000),isbuf(1000),sbuf(1000)
      integer status(MPI_STATUS_SIZE),i,size
      logical flag
c
      call MPI_INIT(ierr)
      call MPI_COMM_SIZE(MPI_COMM_WORLD,size,ierr)
      call MPI_COMM_RANK(MPI_COMM_WORLD,iam,ierr)
      if (size.LT.4 .AND. iam.EQ.0) then
          Print *,' This program requires at least 4 processes'
      endif

c	 call mpid_setdebugflag(0,1) 
c	 call mpid_parix_setdebugflag(0,1) 

c

      do 1 i=1,1000
         sbuf(i)=1000+i
 1    end do


      call MPI_ISEND(sbuf,1000,MPI_INTEGER,0,iam,
     &   MPI_COMM_WORLD,sid,ierr)

      Print *,iam,' ISend done'

      if (iam. EQ. 0) then
        do 10 i=0,3
          call MPI_IRECV(rbuf,1000,MPI_INTEGER,i,i,
     &       MPI_COMM_WORLD,rid(i+1),ierr)
          Print *,iam,' 4 Receives posted'
 10     end do
      endif

c
c
c
c
c

      flag=.FALSE.
      if (iam.ne.0) then 
        DO WHILE (.NOT.flag)
          call MPI_TEST(sid,flag,status,ierr)
          Print *,iam,' Test completed with ', status,flag
        ENDDO
      endif
      
c

      if (iam. EQ. 0) then
        do 20 i=1,4
          call MPI_WAIT(rid(i),status,ierr)
c
        Print *,iam,' Test for ',i-1,' completed with ', status,flag
 20     end do
      endif

c
      call MPI_FINALIZE(ierr)
      end
